> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dogecoin-doge/doge_getbalance.md).

# getbalance {disallowed} - Dogecoin

Example code for the getbalance  {disallowed} json-rpc method. Сomplete guide on how to use getbalance  {disallowed} json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`account` - string

Optional.

If this parameter is specified, returns the balance in the account.

`minconf` - integer

Optional.

Minimum number of confirmations required for transferred balance.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "getbalance",
"params": [null, 1],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": "0x11ffdea0d1ae800"
}
```
